---
title: Analyst Relations at GitLab
description: Insight about AR at GitLab
suppress_header: true
extra_css:
  - analysts.css
---

.blank-header
  %img.image-border.image-border-left{ src: "/images/home/icons-pattern-left.svg" }
  %img.image-border.image-border-right{ src: "/images/home/icons-pattern-right.svg" }
  .header-content
    %img.hero-image-small{ src: "/images/devops-tools/gitlab-logo.svg" }
    %h1#analyst-relations-gitlab Analyst Relations at GitLab
    %p Insight about AR at GitLab
.gitlab-content-container
  .content
    %h2#what-analysts-saying What are analysts saying about GitLab?
    %p As a single application for the entire DevOps lifecycle, GitLab is relevant across several analyst categories and reports.  Coverage areas where we are currently covered in analyst reports include:
    %ul
      %li Enterprise Agile Planning Tools
      %li Planning/Project Management
      %li Source Code Management (SCM)
      %li Continuous Integration and Continuous Delivery (CI/CD)
      %li Value Stream Management (VSM)
      %li Application Security (AppDevSec)
      %li Static Application Security Testing (SAST)
      %li Release Automation
      %li Continuous Deployment and Release Automation (CDRA)
      %li Application Performance Monitoring (APM)
      %li IT Infrastructure Monitoring
      %li Application Containers Market
      %li Container Platform SW Suite
    .content.tile
      %h2#thought-leadership-analysts GitLab thought leadership with the analysts
      %p This section highlights areas where GitLab believes it can help drive the industry forward with our insight and knowledge. This is a space where we can shape and refine our thinking.
      %h3#complete-devops-toolchain The complete DevOps toolchain:
      %h4#what-devops-toolchain-is What it is
      %p We are interested in seeing the emergence of a new category within DevOps that looks at the entire DevOps toolchain that includes everything from planning to monitoring, including analytics and security. We are exploring what to call this. Suggestions include:
      %ul
        %li All-in-One DevOps
        %li DevOps Toolchain
        %li Complete DevOps
      %p There are several companies we believe could be included in this space such as:
      %ul
        %li GitLab
        %li Microsoft Azure DevOps
        %li Atlassian
        %li CodeStar
      %h4#why-right-thing Why this is the right thing to do
      %ul
        %li
          %strong
            Tools Tax
          The main argument for this is currently a discussion of a "tools tax" which is essentially the cost to manage the overhead of having multiple tools that need to be maintained and integrated.  Having one tool greatly simplifies this process and lowers costs. This addresses the cost to management for the tool
        %li
          %strong
            Developer productivity
          This second argument looks at the average amount of work involved for a developer in having to work with and train with multiple tools.
        %li
          %strong
            Data Value Stream
          This third argument discusses the value to the organization of the data being connected and what it can tell the organization.

    .content.tile
      %h3#gitlab-evaluated-recent-reports GitLab evaluated in recent reports
      %p Here are links to recent analyst reports where GitLab the company and/or the product has been covered or evaluated. GitLab generally has rights to distribute these reports. Clicking these links will direct you to a page where you may download the report.
    = partial "includes/forrester-reports"
    .content
      %h3#gitlab-mentioned-recent-reports GitLab mentioned in recent reports
      %p Here are links to reports where GitLab is mentioned within the context of the report. GitLab usually does not have rights to distribute these reports, which means you will likely have access to them only if you have a subscription to that analyst's reports through your own organization. Clicking these links will bring you to the report on that analyst company's web site, and you will need to log in to download or view the report.
    .content.tile
      %h3#forrester-mention-gitlab Forrester reports mentioning GitLab
      %ul
        %li
          %a{ href: "https://www.forrester.com/report/Portfolio+Ecosystem+The+Central+Nervous+System+For+Delivering+Business+Strategy/-/E-RES135561#figure3", target: "_blank" }
            Portfolio Ecosystem: The Central Nervous System For Delivering Business Strategy, October 10, 2018
        %li
          %a{ href: "https://www.forrester.com/report/Evolve+Or+Retire+Administrators+Are+Now+Developers/-/E-RES137184", target: "_blank" }
            Evolve Or Retire: Administrators Are Now Developers, July 13, 2018
        %li
          %a{ href: "https://www.forrester.com/report/Elevate+AgilePlusDevOps+With+Value+Stream+Management/-/E-RES142463", target: "_blank" }
            Elevate Agile-Plus-DevOps With Value Stream Management, May 11, 2018
        %li
          %a{ href: "https://www.forrester.com/report/The+State+Of+Application+Security+2018/-/E-RES141676", target: "_blank" }
            The State of Application Security, 2018, January 23, 2108
        %li
          %a{ href: "https://www.forrester.com/report/The+Quest+For+SpeedPlusQuality+Drives+Agile+And+DevOps+Tool+Selection/-/E-RES122555", target: "_blank" }
            The Quest For Speed-Plus-Quality Drives Agile And DevOps Tool Selection, April 17, 2017
        %li
          %a{ href: "https://www.forrester.com/report/CloudBased+DevOps+Tools+Are+Ripening+Quickly/-/E-RES137388", target: "_blank" }
            Cloud-Based DevOps Tools Are Ripening Quickly, April 4, 2017
      .margin-top40
        %h3#gartner-mention-gitlab Gartner reports mentioning GitLab
        %ul
        
          %li
            %a{ href: "https://www.gartner.com/document/3885372?ref=solrResearch&refval=211643393&qid=ca8ad796d63b5c19d87e78e3207ff653", target: "_blank" }
              To Automate Your Automation, Apply Agile Practices and DevOps Tools to Infrastructure and Operations, 6 August, 2018
          %li
            %a{ href: "https://www.gartner.com/document/3885383?ref=solrResearch&refval=211643393&qid=ca8ad796d63b5c19d87e78e3207ff653", target: "_blank" }
              Analyzing the Role and Skills of the I&O Professional in DevOps, 7 August, 2018
          %li
            %a{ href: "https://www.gartner.com/document/3875872?ref=solrResearch&refval=211643393&qid=ca8ad796d63b5c19d87e78e3207ff653", target: "_blank" }
              Extending Agile With DevOps to Enable Continuous Delivery, 18 May, 2018
          %li
            %a{ href: "https://www.gartner.com/document/3869263?ref=solrResearch&refval=211643470&qid=ca8ad796d63b5c19d87e78e3207ff653", target: "_blank" }
              Approaches for Securing Application Development Environments and Artifacts, 20 March, 2018
          %li
            %a{ href: "https://www.gartner.com/document/3885963?ref=solrAll&refval=208989697&qid=276917aca8f1fd77467886cbc7621b4bhttps://www.gartner.com/document/3885963?ref=solrAll&refval=208989697&qid=276917aca8f1fd77467886cbc7621b4b", target: "_blank" }
              Hack Your Culture to Drive Quality and DevOps Success, 9 August, 2018
          %li
            %a{ href: "https://www.gartner.com/document/3872274?ref=solrAll&refval=208989697&qid=276917aca8f1fd77467886cbc7621b4b", target: "_blank" }
              Cool Vendors in DevOps, First Wave, 18 April, 2018
          %li
            %a{ href: "https://www.gartner.com/document/3883474?ref=solrAll&refval=208989697&qid=276917aca8f1fd77467886cbc7621b4b", target: "_blank" }
              Hype Cycle for I&O Automation 2018, 23 July 2018
          %li
            %a{ href: "https://www.gartner.com/document/3883693?ref=solrAll&refval=208989697&qid=276917aca8f1fd77467886cbc7621b4b", target: "_blank" }
              Hype Cycle for DevOps 2018, 24 July 2018
          %li
            %a{ href: "https://www.gartner.com/document/3869070?ref=solrAll&refval=208989697&qid=276917aca8f1fd77467886cbc7621b4b", target: "_blank" }
              Critical Capabilities for Application Security Testing, 19 March 2018
          %li
            %a{ href: "https://www.gartner.com/document/3879870?ref=solrAll&refval=208989697&qid=276917aca8f1fd77467886cbc7621b4b", target: "_blank" }
              Jump-Start Network Automation to Scale Digital Initiatives, 22 June 2018
          %li
            %a{ href: "https://www.gartner.com/document/3830131?ref=solrResearch&refval=211643393&qid=ca8ad796d63b5c19d87e78e3207ff653", target: "_blank" }
              Structuring Application Security Practices and Tools to Support DevOps and DevSecOps, 28 November, 2017
          %li
            %a{ href: "https://www.gartner.com/document/3830126?ref=solrResearch&refval=211643393&qid=ca8ad796d63b5c19d87e78e3207ff653", target: "_blank" }
              Selecting a Cloud Platform for DevOps Delivery With Microservice Architecture, 27 November, 2017
          %li
            %a{ href: "https://www.gartner.com/document/3823221?ref=solrResearch&refval=211643393&qid=ca8ad796d63b5c19d87e78e3207ff653", target: "_blank" }
              Assessing Terraform for Provisioning Cloud Infrastructure, 13 November, 2017
          %li
            %a{ href: "https://www.gartner.com/document/3738117?ref=solrResearch&refval=211643393&qid=ca8ad796d63b5c19d87e78e3207ff653", target: "_blank" }
              Comparing Leading Cloud-Native Application Platforms: Pivotal Cloud Foundry and Red Hat OpenShift, 5 June, 2017
          %li
            %a{ href: "https://www.gartner.com/document/3759466?ref=solrResearch&refval=211643393&qid=ca8ad796d63b5c19d87e78e3207ff653", target: "_blank" }
              An Assessment of AWS Development Tools for Continuous Integration, 12 July, 2017
          %li
            %a{ href: "https://www.gartner.com/document/3745722?ref=solrResearch&refval=211643393&qid=ca8ad796d63b5c19d87e78e3207ff653", target: "_blank" }
              Using DevOps Tools for Infrastructure Automation, 15 June, 2017
      .margin-top40
        %h3#idc-mention-gitlab IDC reports mentioning GitLab
        %ul
          %li
            %a{ href: "https://www.idc.com/getdoc.jsp?containerId=lcUS43961318&pageType=PRINTFRIENDLY", target: "_blank" }
              Microsoft Significantly Expands Its Developer Collaboration Portfolio with GitHub Acquisition, June 5, 2018
          %li
            %a{ href: "https://www.idc.com/getdoc.jsp?containerId=US44268818", target: "_blank" }
              IDC Market Glance: DevOps, 3Q18
          %li
            %a{ href: "https://www.idc.com/getdoc.jsp?containerId=lcUS44193518&pageType=PRINTFRIENDLY", target: "_blank" }
              Google Cloud Next '18: Google Addresses Developer Needs with Developer Tools That Enhance Development in Cloud and On-Premises Environments, August 2, 2018
          %li
            %a{ href: "https://www.idc.com/getdoc.jsp?containerId=US41601017", target: "_blank" }
              IDC MarketScape: Worldwide Cloud Testing and ASQ SaaS 2017-2018 Vendor Assessment — Enabling Quality in and on the Cloud, February 2018
    .content.tile
      %h2#areas-expanding-coverage Areas for expanded coverage
      %p As GitLab grows and our product capabilities expand, we are engaging with more analysts in more companies, on a wider array of topics. The following is a list of topics and analyst companies appearing on our radar. The information here shows the date the report was published as well as the criteria and vendors considered for the report.
      %h3#forrester-waves-title Forrester:
      %h4#wave-configuration-management-software Wave: Configuration Management Software for Infrastructure Automation, October 11, 2017 (Next expected report: Unknown date)
      %ul
        %li
          Leaders: Puppet Enterprise, Chef Automate
        %li
          %a{ href: "https://reprints.forrester.com/#/assets/2/675/'RES137964'/reports", target: "_blank" }
            Link to report
        %li
          Criteria for inclusion: Evaluated solutions had to provide a minimum set of capabilities, including deployment, configuration modeling, monitoring and governance, and community support.
        %li
          Element configuration management tools will converge with CDRA - Forrester expectation
      %h4#wave-modern-application-functional Wave: Modern Application Functional Test Automation Tools, December 5, 2016 (Next expected report: Unknown date)
      %ul
        %li
          Leaders: Parasoft, IBM, Tricentis, HPE
        %li
          %a{ href: "https://www.forrester.com/report/The+Forrester+Wave+Modern+Application+Functional+Test+Automation+Tools+Q4+2016/-/E-RES123866", target: "_blank" }
            Link to report
        %li
          Criteria for inclusion: Cross-browser FTA and mobile testing capabilities, UI and API FTA capabilities
      %h4#wave-sast Wave: Static Application Security Testing, December 12, 2017 (Next expected report: Unknown date)
      %ul
        %li
          Leaders: Synopsys, CA Veracode
        %li
          %a{ href: "https://www.forrester.com/report/The+Forrester+Wave+Static+Application+Security+Testing+Q4+2017/-/E-RES139431", target: "_blank" }
            Link to report
        %li
          Criteria for inclusion: a comprehensive, enterprise-class SAST tool, interest from Forrester clients
        %li
          Language support and depth of results are key differentiators.
        %li
          Companies traditionally used SAST tools late in the software development lifecycle (SDLC) to scan products for vulnerabilities in proprietary code. Now developers need early remediation advice throughout the SDLC.
      %h4#wave-spm Wave: Strategic Portfolio Management (SPM) Tools, September 20, 2017 (Next expected report: Unknown date)
      %ul
        %li
          Leaders: AgileCraft, CA, ServiceNow
        %li
          %a{ href: "https://www.forrester.com/report/The+Forrester+Wave+Strategic+Portfolio+Management+Tools+Q3+2017/-/E-RES136707", target: "_blank" }
            Link to report
        %li
          Criteria for inclusion: Integration of strategic planning capabilities, including goals, assessment, decision support, validation, gap analysis, and collaboration; portfolio management capabilities such as alignment, integrated operational alignment, portfolio analytics and data security; usability capabilities.
        %li
          Planning disciplines are transitioning from annual to continuous; PPM is too narrow of a focus.
        %li
          SPM tools support planning at a unified level.
        %li
          SPM underpins organizations' embrace of Agile planning.
      %h4#wave-enterprise-collaborative-work Wave: Enterprise Collaborative Work Management, October 17, 2016 (Next expected report: Unknown date)
      %ul
        %li
          Leaders: Clarizen, Redbooth, Wrike, Planview, Asana, and Smartsheet
        %li
          %a{ href: "https://www.forrester.com/report/The+Forrester+Wave+Enterprise+Collaborative+Work+Management+Q4+2016/-/E-RES121721", target: "_blank" }
            Link to report
        %li
          Criteria for inclusion: Combine collaboration and task management to organize planned and unplanned work; Ability to create work plans out of ad hoc conversations or individual activities; how are tools used to work with external users as well as internal.
      %h3#gartner-aro-title Gartner:
      %h4 Market Guide for Continuous Configuration Automation Tools 8 January 2018 (Next expected report: Unknown date)
      %ul
        %li
          Companies included: Chef, CFEngine, Inedo, Orca, Puppet, Red Hat, SaltStack
        %li
          %a{ href: "https://www.gartner.com/document/3843365", target: "_blank" }
            Link to report
        %li
          Definition: CCA tools are a programmable framework on which configuration and provisioning tasks can be codified, versioned and managed like any other piece of application code. Many of the tools in the market provide a repository to store and manage configuration content, but can be integrated with or use code revision control systems in use by application development teams.
      %h4#magic-quadrant-software-automation Magic Quadrant for Software Test Automation, 20 November 2017 (Next expected report: May 2019)
      %ul
        %li
          Leaders: Micro Focus, Tricentis
        %li
          %a{ href: "https://www.gartner.com/document/3830082", target: "_blank" }
            Link to report
        %li
          Gartner expectations: The market will remain very dynamic, creating opportunities for vendors over the next 12 to 18 months as significant investment capital continues to flow and commercial providers expand portfolios to better support agile and DevOps best practices.
      %h4#magic-quadrant-performance-monitoring Magic Quadrant for Application Performance Monitoring Suites, 19 March 2018 (Next expected report: Sept 2020)
      %ul
        %li
          Leaders: Cisco, Dynatrace, New Relic, CA Technologies
        %li
          %a{ href: "https://www.gartner.com/doc/3868870", target: "_blank" }
            Link to report
        %li
          Gartner expectations: While AIOps for applications functionality is considered to be an essential component of a Magic Quadrant-qualifying APM suite, vendors whose offerings are focused on general AIOps capabilities are increasingly seen by users as viable alternatives to classical APM vendors. IT operations and other organizations are already awash with data, and this situation will likely only become more challenging with the growth of cloud, microservices, IoT and so on. Hence, Gartner sees companies such as Splunk, Sumo Logic and even the open-source Elastic Stack (combining Elasticsearch, Logstash and Kibana) as leveraging their current repository capabilities to act as the system of "truth" for APM data. 
      %h4#magic-quadrant-ast Magic Quadrant for Application Security Testing, 19 March 2018 (Next expected report: Sept 2020)
      %ul
        %li
          Leaders: Micro Focus, CA Technologies (Veracode), Checkmarx, Synopsys, IBM
        %li
          %a{ href: "https://www.gartner.com/doc/3868966/magic-quadrant-application-security-testing", target: "_blank" }
            Link to report
        %li
          Gartner expectations: Although not strictly a security testing solution, SCA solutions have become critical components of application security programs. SCA products analyze application composition to detect components known to have security and/or functionality vulnerabilities or that require proper licensing. It helps ensure that the enterprise software supply chain includes only components that have undergone security testing and, therefore, supports secure application development and assembly. Gartner clients are increasingly seeking these capabilities from AST vendors. As such, vendors in this Magic Quadrant deliver SCA through homegrown solutions or partnerships with leading SCA vendors to supply analysis and governance capabilities to their clients.
      %h4#magic-quadrant-portfolio-management Magic Quadrant for Project Portfolio Management, 29 May 2018 (Next MQ expected: Nov 2019)
      %ul
        %li
          Leaders: Planview, CA Technologies, Changepoint, Planisware
        %li
          %a{ href: "https://www.gartner.com/document/3876967", target: "_blank" }
            Link to report
        %li
          Gartner expectations: Providers in this Magic Quadrant include those focused on general-purpose or enterprisewide PPM, as well as IT PPM, as long as the providers meet all of the required inclusion criteria. When evaluating and positioning the vendors included in this research, emphasis is placed on the importance of vendors offering multiple PPM products supporting different PPM use cases.
      %h4#enterprise-agile-planning-tools Enterprise Agile Planning Tools, 23 April 2018 (Next expected report: May 2019)
      %ul
        %li
          Leaders: CA, Atlassian, Microsoft, CollabNet
        %li
          %a{ href: "https://www.gartner.com/doc/3872863", target: "_blank" }
            Link to report
        %li
          Gartner expectation: The enterprise agile planning (EAP) market is experiencing a disruption as mergers and acquisitions (M&As) occur and visionary new players enter. Vendors that rely upon legacy product strategies are becoming less relevant. Organizations are maturing in their use of enterprise agile and are demanding more functionality from their tools. Meanwhile, advances in machine learning promise new insights into the effectiveness of enterprise agile development. We expect that M&A activities will continue as providers seek to position more-complete DevOps toolchains in support of digital business and cloud platforms. Toolchain-based DevOps practices are the norm, and EAP tools are becoming a part of that toolchain. This places emphasis on the ability of EAP tools to integrate with and consume data from other tools in the chain for planning, reporting and analysis. 
      %h4#market-guide-container-management Market Guide for Container Management Software, 9 August 2018 (Next expected report: Feb 2020)
      %ul
        %li
          Companies included: Alibaba Cloud, Cisco, DH2i, Diamanti, Docker, Google, HashiCorp, Heptio, IBM
        %li
          %a{ href: "https://www.gartner.com/document/3886068", target: "_blank" }
            Link to report
        %li
          Definition: Container management software covers on-premises and/or hybrid systems that provide the automation and abstraction of containers along with infrastructure capabilities. Deploying containers at scale requires capabilities that enable agility for application developers, while also providing reliability and simplicity for I&O teams. Container management software systems provide not only abstraction of infrastructure details and application life cycle pipeline enablement for developers, but also an underlying infrastructure foundation that scales and is secured. In many cases, these solutions are allowing enterprises to use containers as a replacement for application servers.
      %h4#magic-quadrant-apas Magic Quadrant for Enterprise High-Productivity Application Platform as a Service, 26 April 2018 (Next expected report: Oct 2020)
      %ul
        %li
          Leaders: Salesforce, OutSystems, Mendix, ServiceNow
        %li
          %a{ href: "https://www.gartner.com/document/3872957", target: "_blank" }
            Link to report
        %li
          Gartner expectation: The long-term, sustained leadership in the market remains open to new players. New vendors continue to appear: Gartner counted 75 hpaPaaS vendors at the start of this research; now 85 and rising. Platform convergence through hpaPaaS vendors starting to support more-sophisticated business logic, business process and user experience capabilities, and competing against specialist vendors for these areas. Some of the vendors in the bpmPaaS market (such as AgilePoint, Appian and Pegasystems) and the RMAD market (such as Progress and Kony) are increasingly seeing themselves as competing with other hpaPaaS vendors for application development platforms. Some of these specialists are merging with hpaPaaS vendors through acquisition (for example, ServiceNow acquiring SkyGiraffe), while others find themselves competing for common hpaPaaS use cases.
      %h4#magic-quadrant-data-science Magic Quadrant for Data Science and Machine-Learning Platforms, 22 February 2018 (Next expected report: Aug 2020)
      %ul
        %li
          Leaders: KNIME, H20.ai, RapidMiner, SAS, Alteryx
        %li
          %a{ href: "https://www.gartner.com/doc/3860063", target: "_blank" }
            Link to report
        %li
          Gartner expectation: A focus on operationalization, including the ability to manage models and collaborate at an enterprise level. This also includes the ability to orchestrate the complete analytical process, with a focus, ultimately, on productionizing and operationalizing models, increasing productivity and boosting business impact. The availability of free and open-source options that are often the first to offer innovative analytic capabilities. They also represent easy-to- access, low-initial-investment options for starting data science and machine-learning projects.
